﻿@using FlightApp.Web.Models;
@model FlightViewModel

@{
    ViewBag.Title = "Edit Flight";
}

<div class="container">
    <div class="row justify-content-center align-items-center mt-5">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header  text-center">
                    <h2 class="card-title">Edit Flight</h2>
                </div>
                <div class="card-body">
                    @using (Html.BeginForm())
                    {
                        @Html.AntiForgeryToken()
                        @Html.HiddenFor(model => model.Id)

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.Name)
                            @Html.TextBoxFor(model => model.Name, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.DepartureAirportId)
                            @Html.DropDownListFor(model => model.DepartureAirportId, new SelectList(Model.AvailableAirports, "Id", "Name"), "Select Departure Airport", new { @class = "form-control", id = "departureAirportId" })
                            @Html.ValidationMessageFor(model => model.DepartureAirportId, "", new { @class = "text-danger" })
                        </div>

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.ArrivalAirportId)
                            @Html.DropDownListFor(model => model.ArrivalAirportId, new SelectList(Model.AvailableAirports, "Id", "Name"), "Select Arrival Airport", new { @class = "form-control", id = "arrivalAirportId" })
                            @Html.ValidationMessageFor(model => model.ArrivalAirportId, "", new { @class = "text-danger" })
                        </div>

                        <div class="d-flex justify-content-evenly">
                            <a href="@Url.Action("Index")" class="btn btn-secondary">Back to List</a>
                            <button type="submit" class="btn btn-primary">Save Changes</button>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        function disableConflictingOptions() {
            var selectedDepartureAirport = $("#departureAirportId").val();
            var selectedArrivalAirport = $("#arrivalAirportId").val();

            $("#arrivalAirportId option").prop("disabled", false);
            $("#departureAirportId option").prop("disabled", false);
            $("#arrivalAirportId option[value='" + selectedDepartureAirport + "']").prop("disabled", true);
            $("#departureAirportId option[value='" + selectedArrivalAirport + "']").prop("disabled", true);
        }

        disableConflictingOptions();

        $("#departureAirportId").change(disableConflictingOptions);
        $("#arrivalAirportId").change(disableConflictingOptions);
    });
</script>

